'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Vue = _interopDefault(require('vue'));

var originalContent = undefined;

function highlight(content, word) {
  var span = "<span style='padding:0px 5px; background-color:#009688; color:white'>";
  var spanEnd = "</span>";
  var words = content.split(" ");
  for (var i = 0; i < words.length; i++) {
    if (words[i] == word) {
      words[i] = span + words[i] + spanEnd;
    }
  }
  return words.join(" ");
}

var vueHighlighter = {
  bind: function bind(el, binding, vnode) {
    originalContent = el.innerHTML;
    if (binding.arg == "word") {
      el.innerHTML = highlight(originalContent, binding.value);
    }
  },
  update: function update(el, binding, vnode, oldVnode) {
    el.innerHTML = highlight(el.textContent, binding.value);
  },
  unbind: function unbind(el, binding, vnode) {
    el.innerHTML = originalContent;
  }
};

Vue.directive("highlight", vueHighlighter);

module.exports = vueHighlighter;
